/*******************************************************************************
 *
 * blueMarine - open source photo workflow
 * =======================================
 *
 * Copyright (C) 2003-2009 by Fabrizio Giudici
 * Project home page: http://bluemarine.tidalwave.it
 *
 *******************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 *
 *******************************************************************************
 *
 * $Id: MetadataPersistenceListener.java,v d60681e7fc1d 2009/09/17 23:59:23 fabrizio $
 *
 ******************************************************************************/
package it.tidalwave.metadata.persistence.event;

import javax.annotation.Nonnull;
import it.tidalwave.metadata.persistence.MetadataPersistence;

/*******************************************************************************
 * 
 * @author  Fabrizio Giudici
 * @version $Id: MetadataPersistenceListener.java,v d60681e7fc1d 2009/09/17 23:59:23 fabrizio $
 *
 ******************************************************************************/
public interface MetadataPersistenceListener 
  {
   /****************************************************************************
    *
    * Notifies that a property has been persisted. Note that there are no
    * methods such as <code>addListener()</code> in 
    * {@link MetadataPersistence}, listeners must be registered in the system
    * by means of <code>META-INF/services</code>.
    * 
    * @param  event  the event descriptor
    * 
    * *************************************************************************/
    public void notifyPropertyPersisted (@Nonnull MetadataPersistenceEvent event);
  }
